Subject: Re: [PATCH] more improvement to dev_alloc_name -- strnchr

From: Alex Pankratov <[email-masked]>
Date: Mon, 19 Jan 2004 15:27:48 -0800

Andi Kleen wrote:
> 
> Not sure what it has to do with that. The #ifdef __HAVE_ARCH_* stuff 
> is that architectures with crazy enough hackers can add assembly
> optimized functions if they want. But it clearly doesn't make any sense
> with this function (in fact it doesn't make much sense with any string
> function except memset/memcpy) ... [snip]

.. as well as memchr/memrchr/memcmp and strlen. Just nitpicking :)